Package org.apache.log4j.chainsaw.receivers

## Class ReceiversTreeModel

- java.lang.Object
- - javax.swing.tree.DefaultTreeModel
  - - org.apache.log4j.chainsaw.receivers.ReceiversTreeModel

- All Implemented Interfaces:
    `Serializable`, `EventListener`, `TreeModel`, `PluginListener`

      public class ReceiversTreeModel
      extends DefaultTreeModel
      implements PluginListener

  A TreeModel that encapsulates the details of all the Receivers and their related information in the Log4j framework
  Author:
    Paul Smith <psmith@apache.org>
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.tree.DefaultTreeModel

      `asksAllowsChildren, listenerList, root`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `pluginStarted​(PluginEvent e)` | Notification that plugin has started.
    `void` | `pluginStopped​(PluginEvent e)` | Notification that plugin has stopped.
    `ReceiversTreeModel` | `refresh()` | Creates a new ReceiversTreeModel by querying the Log4j Plugin Repository and building up the required information.

    - ### Methods inherited from class javax.swing.tree.DefaultTreeModel

      `addTreeModelListener, asksAllowsChildren, fireTreeNodesChanged, fireTreeNodesInserted, fireTreeNodesRemoved, fireTreeStructureChanged, getChild, getChildCount, getIndexOfChild, getListeners, getPathToRoot, getPathToRoot, getRoot, getTreeModelListeners, insertNodeInto, isLeaf, nodeChanged, nodesChanged, nodeStructureChanged, nodesWereInserted, nodesWereRemoved, reload, reload, removeNodeFromParent, removeTreeModelListener, setAsksAllowsChildren, setRoot, valueForPathChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### refresh

          public final ReceiversTreeModel refresh()

      Creates a new ReceiversTreeModel by querying the Log4j Plugin Repository and building up the required information.
      Returns:
        ReceiversTreeModel

    - #### pluginStarted

          public void pluginStarted​(PluginEvent e)

      Description copied from interface: `PluginListener`
      Notification that plugin has started.
      Specified by:
        `pluginStarted` in interface `PluginListener`
      Parameters:
        `e` - event

    - #### pluginStopped

          public void pluginStopped​(PluginEvent e)

      Description copied from interface: `PluginListener`
      Notification that plugin has stopped.
      Specified by:
        `pluginStopped` in interface `PluginListener`
      Parameters:
        `e` - event